> For the complete documentation index, see [llms.txt](https://help.bioinsight.illumina.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.bioinsight.illumina.com/clarity-lims/api-and-database/api-docs/application-examples/resources-and-references/suggested-reading.md).

# Suggested Reading

The following resources provide additional information on the tools and technologies used in the API and in the [Cookbook](/clarity-lims/api-and-database/api-docs/cookbook.md) examples.

### REST

The Clarity LIMS Rapid Scripting API uses a RESTful web service with XML over HTTP. For more information about REST, see the following:

* [http://en.wikipedia.org/wiki/Representational\_State Transfer](http://en.wikipedia.org/wiki/Representational_State_Transfer)
* <http://www.xfront.com/REST-Web-Services.html>

### Linux and Common File Formats

Many of the scripts used in the Cookbook examples assume a knowledge of Linux and text file formats.

Review bash shell execution command syntax and file formats such as comma-separated values (CSV) and Extensible Markup Language (XML):

* <http://en.wikipedia.org/wiki/Comma-separated_values>
* <http://en.wikipedia.org/wiki/XML>

### Groovy

For its clarity and readability, we have used Groovy for the Cookbook examples. The [Apache Groovy](http://groovy-lang.org/) website provides useful resources for learning and working with Groovy:

* <http://groovy-lang.org/learn.html>
* <http://groovy-lang.org/documentation.html>

### Additional Resources

* [Useful Tools](/clarity-lims/api-and-database/api-docs/application-examples/resources-and-references/useful-tools.md)
* [Integrating Scripts](/clarity-lims/api-and-database/api-docs/getting-started-with-api/integrating-scripts.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.bioinsight.illumina.com/clarity-lims/api-and-database/api-docs/application-examples/resources-and-references/suggested-reading.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
